import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgAcneGlyph = function SvgAcneGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    fillRule: "evenodd",
    fill: "currentColor",
    d: "M23 33.213a1.213 1.213 0 1 1 0-2.427 1.213 1.213 0 0 1 0 2.427M23 29a3 3 0 1 0 0 6 3 3 0 0 0 0-6m0-14.788a1.213 1.213 0 1 1 0-2.427 1.213 1.213 0 0 1 0 2.427M23 10a3 3 0 1 0 0 6 3 3 0 0 0 0-6m10.213 13a1.213 1.213 0 1 1-2.427 0 1.213 1.213 0 0 1 2.427 0M29 23A3 3 0 1 0 35 23 3 3 0 0 0 29 23m-14.787 0a1.214 1.214 0 1 1-2.427-.001 1.214 1.214 0 0 1 2.427 0M10 23A3 3 0 1 0 16 23a3 3 0 0 0-6 0"
  }));
};

SvgAcneGlyph.propTypes = propTypes;
SvgAcneGlyph.defaultProps = defaultProps;
export default SvgAcneGlyph;