import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgAcneSeveralGlyph = function SvgAcneSeveralGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "currentColor",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M23 15.713a1.214 1.214 0 1 1 .001-2.427 1.214 1.214 0 0 1 0 2.427m0-4.213a3 3 0 1 0-.001 6 3 3 0 0 0 0-6M23 24.713a1.214 1.214 0 1 1 .001-2.427 1.214 1.214 0 0 1 0 2.427m0-4.213a3 3 0 1 0-.001 6 3 3 0 0 0 0-6M14 24.713a1.214 1.214 0 1 1 .001-2.427 1.214 1.214 0 0 1 0 2.427m0-4.213a3 3 0 1 0-.001 6 3 3 0 0 0 0-6M32 24.713a1.214 1.214 0 1 1 .001-2.427 1.214 1.214 0 0 1 0 2.427m0-4.213a3 3 0 1 0-.001 6 3 3 0 0 0 0-6M23 33.713a1.214 1.214 0 1 1 .001-2.427 1.214 1.214 0 0 1 0 2.427m0-4.213a3 3 0 1 0-.001 6 3 3 0 0 0 0-6"
  })));
};

SvgAcneSeveralGlyph.propTypes = propTypes;
SvgAcneSeveralGlyph.defaultProps = defaultProps;
export default SvgAcneSeveralGlyph;