import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgClipboardIcon = function SvgClipboardIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 16 16",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M6.223 2.847v-.798h3.432v.798H6.223zm5.406.6a1.683 1.683 0 0 1-1.653 1.4H5.902a1.683 1.683 0 0 1-1.652-1.4h-.385a.338.338 0 0 0-.243.107.42.42 0 0 0-.115.293v9.792c0 .115.045.22.115.293.07.071.158.106.243.106h8.148a.338.338 0 0 0 .243-.106.42.42 0 0 0 .115-.293V3.847a.42.42 0 0 0-.115-.293.338.338 0 0 0-.243-.106h-.384zm0-2h.384c.635 0 1.238.261 1.678.714a2.42 2.42 0 0 1 .68 1.686v9.792a2.42 2.42 0 0 1-.68 1.686 2.338 2.338 0 0 1-1.678.713H3.865c-.635 0-1.238-.26-1.678-.713a2.42 2.42 0 0 1-.68-1.686V3.847c0-.627.241-1.234.68-1.686a2.338 2.338 0 0 1 1.678-.713h.385a1.683 1.683 0 0 1 1.652-1.4h4.074c.848 0 1.514.623 1.653 1.4z",
    fill: "#332E54"
  }));
};

SvgClipboardIcon.propTypes = propTypes;
SvgClipboardIcon.defaultProps = defaultProps;
export default SvgClipboardIcon;