import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgConfusedEmoji = function SvgConfusedEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 29",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none"
  }, React.createElement("path", {
    fill: "#332E54",
    d: "M13.33 1.88c-6.6 0-11.98 5.48-11.98 12.2 0 6.73 5.37 12.2 11.98 12.2 6.6 0 11.98-5.47 11.98-12.2 0-6.72-5.37-12.2-11.97-12.2m0 25.77C5.98 27.65 0 21.55 0 14.08 0 6.6 5.98.5 13.33.5s13.33 6.1 13.33 13.6-5.98 13.57-13.33 13.57m0-11.87c-.88 0-1.6.53-1.6 1.15-.02.18-.02.7 1.6.7s1.6-.52 1.6-.7c0-.62-.73-1.15-1.6-1.15m0 2.62c-1.57 0-2.36-.5-2.36-1.47 0-1.05 1.06-1.9 2.36-1.9s2.36.85 2.36 1.9c0 .98-.8 1.47-2.37 1.47m5.5-6.4a1.04 1.04 0 0 0 .32 1.42 1 1 0 0 0 1.4-.3 1.04 1.04 0 0 0-.3-1.43 1 1 0 0 0-1.4.32m-11.02 0c.3.48.16 1.12-.3 1.42a1 1 0 0 1-1.4-.3 1.04 1.04 0 0 1 .3-1.43 1 1 0 0 1 1.4.32m-2.1-2.9a.37.37 0 0 1-.22-.06.39.39 0 0 1-.1-.53 2.46 2.46 0 0 1 3.23-.84.39.39 0 0 1 .16.5.37.37 0 0 1-.52.17 1.72 1.72 0 0 0-2.25.6.37.37 0 0 1-.3.16"
  }), React.createElement("path", {
    fill: "#E1DFE6",
    d: "M23.1 15.93c0 .86-.68 1.56-1.52 1.56-.85 0-1.54-.7-1.54-1.57s.7-1.57 1.54-1.57c.85 0 1.53.7 1.53 1.57m-16.76 0c0 .86-.7 1.56-1.54 1.56-.84 0-1.53-.7-1.53-1.57s.68-1.57 1.53-1.57 1.54.7 1.54 1.57"
  }), React.createElement("path", {
    fill: "#332E54",
    d: "M20.8 10.65h-2.7a.38.38 0 0 1-.38-.38c0-.2.17-.38.38-.38h2.7c.22 0 .4.16.4.37 0 .2-.18.4-.4.4"
  })));
};

SvgConfusedEmoji.propTypes = propTypes;
SvgConfusedEmoji.defaultProps = defaultProps;
export default SvgConfusedEmoji;