import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgDarkSpotsGlyph = function SvgDarkSpotsGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fillRule: "evenodd",
    fill: "currentColor"
  }, React.createElement("path", {
    d: "M23.099 19.938a2.67 2.67 0 0 0-2.667 2.667 2.67 2.67 0 0 0 2.667 2.667 2.67 2.67 0 0 0 2.667-2.667 2.67 2.67 0 0 0-2.667-2.667m0 7.467a4.806 4.806 0 0 1-4.8-4.8c0-2.646 2.154-4.8 4.8-4.8s4.8 2.154 4.8 4.8-2.154 4.8-4.8 4.8"
  }), React.createElement("path", {
    d: "M23.1 15.477c-3.932 0-7.13 3.197-7.13 7.128s3.198 7.128 7.13 7.128a7.135 7.135 0 0 0 7.128-7.128 7.135 7.135 0 0 0-7.128-7.128m0 16.39c-5.107 0-9.263-4.156-9.263-9.262 0-5.107 4.156-9.26 9.263-9.26 5.106 0 9.261 4.153 9.261 9.26 0 5.106-4.155 9.261-9.261 9.261"
  })));
};

SvgDarkSpotsGlyph.propTypes = propTypes;
SvgDarkSpotsGlyph.defaultProps = defaultProps;
export default SvgDarkSpotsGlyph;