import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgDropperGlyph = function SvgDropperGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 62 75",
    stroke: "currentColor",
    strokeWidth: 3,
    fill: "none",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M56.049 2.193C53.972.123 49.489-.5 47.112 1.87l-9.53 9.466 9.276 9.24 9.53-9.467c2.378-2.369 1.739-6.845-.339-8.915h0zM46.742 20.704s-17.709 17.48-21.435 21.193c-3.727 3.711-7.409-.736-13.016 4.85l-.976-.972c5.607-5.586 1.143-9.254 4.87-12.966C19.91 29.098 37.46 11.458 37.46 11.458M34.23 7.997l15.824 15.761M11.563 61.447l-5.051-6.87-5.03 6.756a6.055 6.055 0 0 0-1.133 3.526c0 3.373 2.745 6.106 6.13 6.106 3.386 0 6.13-2.733 6.13-6.106a6.06 6.06 0 0 0-1.046-3.412h0z"
  }));
};

SvgDropperGlyph.propTypes = propTypes;
SvgDropperGlyph.defaultProps = defaultProps;
export default SvgDropperGlyph;