import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgElatedEmoji = function SvgElatedEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M21.996 13.362a1.555 1.555 0 1 0 0 0M3.45 14.917a1.554 1.554 0 1 0 3.109 0 1.554 1.554 0 0 0-3.109 0z",
    fill: "#DDDDE3"
  }), React.createElement("path", {
    d: "M13.5 25.633c-6.69 0-12.133-5.442-12.133-12.132C1.367 6.81 6.81 1.368 13.5 1.368c6.688 0 12.133 5.443 12.133 12.133 0 6.69-5.445 12.132-12.133 12.132M13.5 0C6.057 0-.002 6.057-.002 13.5 0 20.946 6.057 27 13.502 27 20.944 27 27 20.946 27 13.5 27 6.058 20.944 0 13.5 0",
    fill: "#332E54"
  }), React.createElement("path", {
    d: "M6.664 10.134c-.675 0-1.303.371-1.64.968a.38.38 0 0 0 .606.45c.004-.005.388-.39 1.034-.39.638 0 1.016.37 1.036.39a.379.379 0 0 0 .604-.45 1.894 1.894 0 0 0-1.64-.968M20.337 10.134c-.675 0-1.303.371-1.64.968a.382.382 0 0 0 .606.45 1.534 1.534 0 0 1 1.034-.39c.638 0 1.016.37 1.035.39a.38.38 0 0 0 .604-.45 1.892 1.892 0 0 0-1.639-.968M13.5 16.932c-2.065 0-3.743-1.352-3.743-3.013 0-.31.056-.518.17-.616.107-.094.302-.128.546-.128.314 0 .712.055 1.123.113.568.08 1.213.17 1.905.17s1.335-.09 1.902-.17c.732-.103 1.423-.2 1.67.015.114.098.17.306.17.616 0 1.66-1.678 3.013-3.742 3.013m1.798-4.396c-.543.076-1.16.163-1.798.163-.64 0-1.256-.087-1.8-.163-.986-.14-1.766-.248-2.273.193-.29.253-.432.642-.432 1.19 0 2.08 2.021 3.772 4.505 3.772 2.482 0 4.502-1.692 4.502-3.772 0-.548-.142-.937-.431-1.19-.508-.441-1.287-.332-2.273-.193",
    fill: "#332E54"
  })));
};

SvgElatedEmoji.propTypes = propTypes;
SvgElatedEmoji.defaultProps = defaultProps;
export default SvgElatedEmoji;