import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFaceGlyph = function SvgFaceGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 68 68",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    d: "M50.013 32.158l.006 6.308v.897c0 9.071-11.225 16.425-16.056 16.425-4.831 0-16.056-7.354-16.056-16.425v-7.785c0-9.072 7.188-16.426 16.056-16.426 8.867 0 16.056 7.354 16.056 16.425l-.006.581zm-32.106 9.456c-1.524 0-2.759-1.263-2.759-2.821 0-1.559 1.235-2.822 2.759-2.822m32.21 5.643c1.523 0 2.758-1.263 2.758-2.821 0-1.559-1.235-2.822-2.759-2.822m-23.98-18.736s-5.93 13.192 23.375 13.192m-22.184-5.583s-1.779 6.675-9.42 6.733"
  }));
};

SvgFaceGlyph.propTypes = propTypes;
SvgFaceGlyph.defaultProps = defaultProps;
export default SvgFaceGlyph;