import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFacebookSquareIcon = function SvgFacebookSquareIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 20 20",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M17.4 0H2.5C1.1 0 0 1.1 0 2.5v14.9c0 1.4 1.1 2.5 2.5 2.5H10v-7.1H7.6V9.6H10V8.1c0-2.4 1.8-4.3 4-4.3h2.2v3.5h-2c-.5 0-.7.3-.7.7v1.6h2.6v3.1h-2.6v7.1h3.8c1.4 0 2.5-1.1 2.5-2.5V2.5c.1-1.4-1-2.5-2.4-2.5z"
  }));
};

SvgFacebookSquareIcon.propTypes = propTypes;
SvgFacebookSquareIcon.defaultProps = defaultProps;
export default SvgFacebookSquareIcon;