import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFirstAidIcon = function SvgFirstAidIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 14 14",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M5.266 12.342h3.366V9.409c0-.43.348-.778.778-.778h2.932V5.266H9.41a.777.777 0 0 1-.778-.778V1.556H5.266v2.932c0 .43-.348.778-.778.778H1.555V8.63h2.933c.43 0 .778.349.778.778v2.933zm4.144 1.555H4.488a.778.778 0 0 1-.778-.777v-2.933H.777A.778.778 0 0 1 0 9.409V4.488c0-.43.348-.778.777-.778H3.71V.778c0-.43.349-.778.778-.778H9.41c.43 0 .778.348.778.778V3.71h2.932c.43 0 .778.349.778.778v4.92c0 .431-.349.779-.778.779h-2.932v2.933c0 .43-.349.777-.778.777z"
  }));
};

SvgFirstAidIcon.propTypes = propTypes;
SvgFirstAidIcon.defaultProps = defaultProps;
export default SvgFirstAidIcon;