import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFlagIcon = function SvgFlagIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 16 16",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    fill: "currentColor",
    d: "M2 11V2h11.992L10.86 5.703a1.205 1.205 0 0 0-.002 1.556L14 11H2zm13.667-.386l-3.34-4.119 3.332-4.082a1.469 1.469 0 0 0 .193-1.566A1.449 1.449 0 0 0 14.53 0H1.463A1.47 1.47 0 0 0 0 1.476v13.681A.84.84 0 0 0 .836 16a.84.84 0 0 0 .836-.843v-2.131h12.863c.57 0 1.077-.324 1.323-.845a1.476 1.476 0 0 0-.191-1.567z"
  }));
};

SvgFlagIcon.propTypes = propTypes;
SvgFlagIcon.defaultProps = defaultProps;
export default SvgFlagIcon;