import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFuriousFilledEmoji = function SvgFuriousFilledEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M13.5 18.58c-1.08 0-1.959.818-1.959 1.823 0 .263.06.316.063.319.084.073.49.007.787-.04a6.827 6.827 0 0 1 1.108-.113c.409 0 .781.06 1.11.113.296.046.703.112.787.04.003-.003.063-.056.063-.32 0-1.004-.88-1.822-1.96-1.822",
    fill: "#A6A1E2"
  }), React.createElement("path", {
    d: "M21.528 13.48l-2.701 1.779a.38.38 0 0 1-.418-.634l2.702-1.78a.378.378 0 0 1 .525.109.377.377 0 0 1-.108.526m-.694 4.016a1.025 1.025 0 1 1-1.731-1.106 1.025 1.025 0 0 1 1.73 1.106M15.89 21.3c-.351.3-.838.222-1.4.132a6.19 6.19 0 0 0-.99-.103c-.347 0-.69.054-.99.103-.26.042-.505.08-.728.08-.256 0-.483-.052-.672-.212-.221-.188-.328-.482-.328-.897 0-1.424 1.219-2.582 2.718-2.582 1.499 0 2.718 1.158 2.718 2.582 0 .415-.107.709-.328.897m-7.191-6.15a.379.379 0 0 1-.525.109l-2.702-1.78a.38.38 0 1 1 .417-.633l2.7 1.779a.38.38 0 0 1 .11.526m-1.115 2.656a1.026 1.026 0 1 1-1.106-1.73 1.026 1.026 0 0 1 1.106 1.73M13.5 0C6.056 0 0 6.057 0 13.5 0 20.945 6.057 27 13.5 27S27 20.945 27 13.5C27 6.058 20.945 0 13.5 0",
    fill: "#A6A1E2"
  })));
};

SvgFuriousFilledEmoji.propTypes = propTypes;
SvgFuriousFilledEmoji.defaultProps = defaultProps;
export default SvgFuriousFilledEmoji;