import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgHandWritingGlyph = function SvgHandWritingGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 71 76",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    stroke: "#353A39",
    strokeLinecap: "round",
    strokeWidth: 1.458,
    d: "M29.951 50.063l6.629 4.642 30.526-43.596-6.629-4.642zM61.522 6.469l2.957-4.223c.47-.67 1.38-.842 2.032-.384l2.86 2.001c.652.458.802 1.372.333 2.042l-2.957 4.222"
  }), React.createElement("path", {
    stroke: "#353A39",
    strokeLinecap: "round",
    strokeWidth: 1.458,
    d: "M29.951 50.063l-4.596 13.619 11.225-8.977"
  }), React.createElement("path", {
    stroke: "#353A39",
    strokeLinecap: "round",
    strokeWidth: 0.787,
    d: "M65.428 13.506l2.623 1.837L58.348 29.2"
  }), React.createElement("path", {
    fill: "#353A39",
    d: "M27.527 57.326l3.057 2.141-5.23 4.215z"
  }), React.createElement("g", {
    stroke: "#414141",
    strokeLinecap: "round",
    strokeWidth: 1.166
  }, React.createElement("path", {
    d: "M23.916 64.632s-5.984 1.867-6.262-.4c-.279-2.266.322-1.413.476-.16.154 1.252-1.498 1.568-2.55 1.257-1.054-.31-1.721-4.726-1.238-5.717.483-.992.309 3.59-.683 5.11-.992 1.52-1.871-.94-3.256-.77-1.385.17.943 1.543-1.187 1.078-2.129-.464-1.26-2.096-1.124-.987.136 1.109-2.155 1.057-3.031.768-.877-.288-2.15-.715-4.008-.195M21.97 74.833s-3.612.841-3.97-1.414c-.356-2.255.782-3.99.4-1.035-.383 2.955-2.38 2.819-3.444 2.545-1.063-.273-1.27-.862-.822-1.87.448-1.007 1.693-.104.755 1.45-.937 1.553-3.962.03-4.144-1.116-.182-1.147 1.778 1.812-.366 1.423-2.144-.39-2.311-3.592-1.94-1.253.37 2.34-1.983 1.06-3.57.76-1.587-.298-3.711-.237-3.5 1.1"
  }))));
};

SvgHandWritingGlyph.propTypes = propTypes;
SvgHandWritingGlyph.defaultProps = defaultProps;
export default SvgHandWritingGlyph;