import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgHeartEmoji = function SvgHeartEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 57 49",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M51.96 22.781c-.018.032-.033.065-.048.098-5.434 9.6-13.854 17.485-23.771 22.276-9.92-4.792-18.342-12.68-23.777-22.284a1.242 1.242 0 0 0-.044-.09 13.629 13.629 0 0 1-1.621-6.442c0-7.5 6.102-13.6 13.602-13.6 1.576 0 3.107.268 4.543.775 3.427 1.25 6.191 3.81 7.718 7.2a1.35 1.35 0 1 0 2.462-1.11 16.55 16.55 0 0 0-1.242-2.226c2.587-2.949 6.247-4.64 10.199-4.64 7.499 0 13.6 6.101 13.6 13.601 0 2.248-.56 4.476-1.621 6.442M39.981.038c-4.537 0-8.768 1.84-11.84 5.098a16.212 16.212 0 0 0-4.627-3.404l-.1-.049a16.44 16.44 0 0 0-1.371-.589c-.171-.065-.34-.13-.513-.19a14.68 14.68 0 0 0-.846-.254c-.248-.072-.487-.162-.74-.222a1.377 1.377 0 0 0-.237-.032 16.439 16.439 0 0 0-3.406-.358C7.313.038 0 7.35 0 16.34c0 2.646.649 5.272 1.879 7.602.02.048.043.096.069.143 5.81 10.323 14.908 18.772 25.62 23.788a1.349 1.349 0 0 0 1.145 0c10.712-5.016 19.81-13.465 25.62-23.788.027-.049.051-.099.072-.15a16.32 16.32 0 0 0 1.875-7.595c0-8.989-7.311-16.3-16.299-16.3"
  }));
};

SvgHeartEmoji.propTypes = propTypes;
SvgHeartEmoji.defaultProps = defaultProps;
export default SvgHeartEmoji;