import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgLockIcon = function SvgLockIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    fill: "currentColor",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M5 6V4c0-2.208 1.793-4 4-4 2.208 0 4 1.793 4 4v2c1.659.005 3 1.34 3 3v6c0 1.657-1.35 3-3.009 3H5.01A3 3 0 0 1 2 15V9a3.006 3.006 0 0 1 3-3zm2 0h4V4c0-1.103-.897-2-2-2s-2 .897-2 2v2zM4 9v6a1 1 0 0 0 1.009 1h7.982c.557 0 1.009-.45 1.009-1V9a1 1 0 0 0-1.009-1H5.01C4.452 8 4 8.45 4 9zm5 5a2 2 0 1 1 0-4 2 2 0 0 1 0 4z"
  }));
};

SvgLockIcon.propTypes = propTypes;
SvgLockIcon.defaultProps = defaultProps;
export default SvgLockIcon;