import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgLogoCondensedIcon = function SvgLogoCondensedIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 16 16",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M12.849 11.14c-.84 1.116-2.432 1.937-4.246 1.937-2.635 0-5.297-1.797-5.297-5.066 0-3.486 2.8-5.131 5.251-5.131 1.905 0 3.17.846 4.082 2.159l2.312-1.903C13.55 1.234 11.366 0 8.557 0 4.164 0 0 3.118 0 8.01 0 12.905 4.025 16 8.603 16c2.795 0 5.017-1.317 6.397-3.087l-2.151-1.773z"
  }));
};

SvgLogoCondensedIcon.propTypes = propTypes;
SvgLogoCondensedIcon.defaultProps = defaultProps;
export default SvgLogoCondensedIcon;