import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgLogoutIcon = function SvgLogoutIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M11.002 13.584L14.586 10H6.008A1.003 1.003 0 0 1 5 9c0-.556.451-1 1.008-1h8.578l-3.584-3.584A1.006 1.006 0 0 1 11 3a.996.996 0 0 1 1.412-.002l5.297 5.297c.382.382.39 1.02 0 1.41l-5.297 5.297a.999.999 0 1 1-1.41-1.418zM2 4v10h2a1 1 0 0 1 0 2H1a1 1 0 0 1-1-1V3a1 1 0 0 1 1-1h3a1 1 0 1 1 0 2H2z"
  }));
};

SvgLogoutIcon.propTypes = propTypes;
SvgLogoutIcon.defaultProps = defaultProps;
export default SvgLogoutIcon;