import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgNeckGlyph = function SvgNeckGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 68 68",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    stroke: "currentColor",
    strokeWidth: 2
  }, React.createElement("path", {
    strokeLinecap: "round",
    d: "M49.866 18l.005 6.307v.898c0 9.07-11.226 16.425-16.056 16.425-4.831 0-16.055-7.355-16.055-16.425V18"
  }), React.createElement("path", {
    d: "M17.758 26.456c-1.742 0-3.155-1.445-3.155-3.228 0-1.782 1.413-3.228 3.155-3.228m32.21 6.456c1.523 0 2.758-1.263 2.758-2.822 0-1.558-1.235-2.822-2.758-2.822"
  }), React.createElement("path", {
    strokeLinecap: "round",
    d: "M25.309 38.54c-.48 4.913-2.554 9.1-5.473 10.62L15 51.678M43 38.54c.48 4.913 2.553 9.1 5.473 10.62l4.836 2.518"
  })));
};

SvgNeckGlyph.propTypes = propTypes;
SvgNeckGlyph.defaultProps = defaultProps;
export default SvgNeckGlyph;