import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgNiacinamideGlyph = function SvgNiacinamideGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 80 80",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("circle", {
    cx: 40,
    cy: 40,
    r: 40,
    fill: "#FEFEFE"
  }), React.createElement("path", {
    stroke: "#322E53",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M53.604 53.97l8.5 10.503M19 15l7.433 9.183m1.27 29.537L19 64.473M61.212 15l-7.433 9.183"
  }), React.createElement("path", {
    fill: "#FEFEFE",
    d: "M59.048 26.664a6.886 6.886 0 0 1-6.886-6.886H29.318a6.886 6.886 0 0 1-6.886 6.886v15.529c0 4.62 2.205 8.965 5.934 11.694l12.379 9.054 12.379-9.054a14.49 14.49 0 0 0 5.935-11.694v-15.53h-.011"
  }), React.createElement("path", {
    stroke: "#322E53",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M59.048 26.664a6.886 6.886 0 0 1-6.886-6.886H29.318a6.886 6.886 0 0 1-6.886 6.886v15.529c0 4.62 2.205 8.965 5.934 11.694l12.379 9.054 12.379-9.054a14.49 14.49 0 0 0 5.935-11.694v-15.53h-.011z"
  }), React.createElement("path", {
    fill: "#322E53",
    d: "M33.275 38.708h-1.128v-2.255h1.078c.51 0 1.365.15 1.365 1.152 0 .67-.516 1.103-1.315 1.103m.338 3.928h-1.466v-2.43h1.466c.955 0 1.503.434 1.503 1.19 0 .788-.548 1.24-1.503 1.24m1.847-3.36c.483-.44.728-1.021.728-1.733 0-1.58-1.163-2.601-2.963-2.601h-2.44c-.123 0-.222.1-.222.224v8.757c0 .123.099.223.223.223h2.827c1.89 0 3.113-1.07 3.113-2.726 0-.947-.466-1.725-1.266-2.143m14.257.08c.494-.338.911-.954.911-1.89 0-1.607-1.085-2.687-2.7-2.687-1.664 0-2.738 1.124-2.738 2.863 0 .123.1.223.223.223h1.138c.124 0 .224-.1.224-.223 0-.86.424-1.353 1.165-1.353.95 0 1.09.754 1.09 1.202 0 .612-.188 1.179-1.553 1.179h-.275c-.123 0-.223.1-.223.223v1c0 .124.1.224.223.224h.288c.84 0 1.84.24 1.84 1.39 0 .784-.516 1.29-1.315 1.29-.65 0-1.428-.241-1.44-1.392a.223.223 0 0 0-.224-.221h-1.126c-.123 0-.223.1-.223.223 0 1.789 1.145 2.9 2.988 2.9 1.73 0 2.938-1.136 2.938-2.762 0-1.14-.58-1.845-1.21-2.188"
  }), React.createElement("path", {
    stroke: "#322E53",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M40.487 20.358v41.373M22.68 39.544h2.592m33.42 0h-2.661"
  })));
};

SvgNiacinamideGlyph.propTypes = propTypes;
SvgNiacinamideGlyph.defaultProps = defaultProps;
export default SvgNiacinamideGlyph;