import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgNoMakeupGlyph = function SvgNoMakeupGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 80 62",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M46 59.98h-8.26c-1.66 0-3-1.34-3-3V34H49v22.98c0 1.66-1.34 3-3 3zm-23-.33h-8.26c-1.66 0-3-1.34-3-3V18H26v38.65c0 1.66-1.34 3-3 3zm18.87-26.4V0M45 3h-5.82M47 7H36.86M48 11H35.98M47 15H36.86M45 19h-5.92M0 17l58.48 43.48",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2
  }));
};

SvgNoMakeupGlyph.propTypes = propTypes;
SvgNoMakeupGlyph.defaultProps = defaultProps;
export default SvgNoMakeupGlyph;