import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgOverwhelmedFilledEmoji = function SvgOverwhelmedFilledEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 28",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    fill: "currentColor",
    d: "M25.308 8.118c0 .989-.79 1.794-1.762 1.794s-1.763-.805-1.763-1.794c0-.633.915-2 1.763-3.047.848 1.048 1.762 2.414 1.762 3.047m1.35 0c0-1.558-2.177-4.073-2.613-4.561l-.5-.559-.499.56c-.104.116-.31.353-.562.662C20.02 1.854 16.728.51 13.329.51 5.979.509 0 6.597 0 14.08c0 7.484 5.98 13.572 13.329 13.572 7.35 0 13.329-6.088 13.329-13.572 0-1.39-.216-2.756-.622-4.07a3.184 3.184 0 0 0 .622-1.892"
  }), React.createElement("path", {
    fill: "#FFF",
    d: "M22.16 14.825l-2.667-1.788a.37.37 0 0 0-.52.109.385.385 0 0 0 .108.529l2.667 1.788a.369.369 0 0 0 .519-.109.386.386 0 0 0-.107-.529m-14.713-1.68a.37.37 0 0 0-.52-.108l-2.666 1.788a.386.386 0 0 0-.107.53.372.372 0 0 0 .519.108l2.667-1.788a.385.385 0 0 0 .107-.53m-.194 3.15a1.86 1.86 0 0 0-1.619.972.384.384 0 0 0 .102.491c.15.116.361.1.494-.037a1.493 1.493 0 0 1 1.023-.393c.629 0 1.001.37 1.022.392a.37.37 0 0 0 .493.041.386.386 0 0 0 .103-.494 1.86 1.86 0 0 0-1.618-.973m11.596 0a1.86 1.86 0 0 0-1.619.973.386.386 0 0 0 .104.495.37.37 0 0 0 .494-.043 1.505 1.505 0 0 1 1.02-.391c.63 0 1.002.37 1.023.392a.37.37 0 0 0 .493.041.386.386 0 0 0 .103-.494 1.86 1.86 0 0 0-1.618-.973"
  })));
};

SvgOverwhelmedFilledEmoji.propTypes = propTypes;
SvgOverwhelmedFilledEmoji.defaultProps = defaultProps;
export default SvgOverwhelmedFilledEmoji;