import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgPlanIcon = function SvgPlanIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 19 20",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M3.72 2.727c-.948 0-1.72.77-1.72 1.719v11.836C2 17.229 2.772 18 3.72 18h10.62c.949 0 1.72-.771 1.72-1.718V4.446c0-.948-.771-1.72-1.72-1.72H3.72zM14.34 20H3.72A3.723 3.723 0 0 1 0 16.282V4.446A3.724 3.724 0 0 1 3.72.726h10.62a3.724 3.724 0 0 1 3.72 3.72v11.836A3.723 3.723 0 0 1 14.34 20z"
  }), React.createElement("path", {
    d: "M12.862 7.5H4.895a1 1 0 1 1 0-2h7.967a1 1 0 1 1 0 2m0 4H4.895a1 1 0 1 1 0-2h7.967a1 1 0 1 1 0 2m-3.983 4H4.896a1 1 0 1 1 0-2h3.983a1 1 0 1 1 0 2"
  }), React.createElement("path", {
    d: "M12.862 7.5H4.895a1 1 0 1 1 0-2h7.967a1 1 0 1 1 0 2m0 4H4.895a1 1 0 1 1 0-2h7.967a1 1 0 1 1 0 2m-3.983 4H4.896a1 1 0 1 1 0-2h3.983a1 1 0 1 1 0 2"
  }));
};

SvgPlanIcon.propTypes = propTypes;
SvgPlanIcon.defaultProps = defaultProps;
export default SvgPlanIcon;