import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgStarIcon = function SvgStarIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M5.384 14.389l3.15-1.657a1 1 0 0 1 .931 0l3.151 1.657-.602-3.509a1 1 0 0 1 .288-.885l2.549-2.484-3.523-.512a1 1 0 0 1-.753-.547L9 3.26 7.425 6.452a1 1 0 0 1-.753.547l-3.523.512 2.549 2.484a1 1 0 0 1 .288.885l-.602 3.509zM9 14.747l-4.479 2.355a1 1 0 0 1-1.45-1.054l.855-4.988L.302 7.528a1 1 0 0 1 .554-1.705l5.008-.728L8.104.557a1 1 0 0 1 1.793 0l2.24 4.538 5.007.728a1 1 0 0 1 .554 1.705l-3.624 3.532.856 4.988a1 1 0 0 1-1.451 1.054L9 14.747z"
  }));
};

SvgStarIcon.propTypes = propTypes;
SvgStarIcon.defaultProps = defaultProps;
export default SvgStarIcon;