import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSunGlyph = function SvgSunGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 53 53",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M42 27c0 8.28-6.72 15-15 15-8.28 0-15-6.72-15-15 0-8.28 6.72-15 15-15 8.28 0 15 6.72 15 15zM29 3c0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2 2 .9 2 2zM11.4 8.6c.8.77.8 2.03 0 2.8-.77.8-2.03.8-2.8 0-.8-.77-.8-2.03 0-2.8.77-.8 2.03-.8 2.8 0zM3 25c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2zm5.6 16.6c.77-.8 2.03-.8 2.8 0 .8.77.8 2.03 0 2.8-.77.8-2.03.8-2.8 0-.8-.77-.8-2.03 0-2.8zM25 50c0-1.1.9-2 2-2s2 .9 2 2-.9 2-2 2-2-.9-2-2zm16.6-5.6c-.8-.77-.8-2.03 0-2.8.77-.8 2.03-.8 2.8 0 .8.77.8 2.03 0 2.8-.77.8-2.03.8-2.8 0zM50 29c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm-5.6-17.6c-.77.8-2.03.8-2.8 0-.8-.77-.8-2.03 0-2.8.77-.8 2.03-.8 2.8 0 .8.77.8 2.03 0 2.8z",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2
  }));
};

SvgSunGlyph.propTypes = propTypes;
SvgSunGlyph.defaultProps = defaultProps;
export default SvgSunGlyph;