import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSupportedEmoji = function SvgSupportedEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 28",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    fill: "currentColor",
    d: "M13.329 1.85c-6.605 0-11.98 5.374-11.98 11.979 0 6.605 5.375 11.98 11.98 11.98s11.98-5.375 11.98-11.98-5.375-11.98-11.98-11.98M0 13.83C0 6.479 5.98.5 13.33.5c7.35 0 13.329 5.98 13.329 13.329 0 7.35-5.98 13.329-13.33 13.329C5.98 27.158 0 21.178 0 13.828z"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M13.329 16.02a5.605 5.605 0 0 1-4.835-2.789.376.376 0 0 1 .65-.376 4.851 4.851 0 0 0 4.185 2.415 4.85 4.85 0 0 0 4.186-2.416.376.376 0 0 1 .65.376 5.603 5.603 0 0 1-4.836 2.79"
  }), React.createElement("path", {
    fill: "#DDDDE3",
    d: "M21.716 15.64a1.535 1.535 0 1 1 0-3.07 1.535 1.535 0 0 1 0 3.07zm-16.774 0a1.535 1.535 0 1 1-.001-3.07 1.535 1.535 0 0 1 0 3.07z"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M19.31 11.53a1.02 1.02 0 0 1-1.014-1.03 1.02 1.02 0 0 1 1.014-1.028c.56 0 1.013.46 1.013 1.029a1.02 1.02 0 0 1-1.013 1.028zM6.098 10.5a1.02 1.02 0 0 0 1.013 1.03c.56 0 1.014-.461 1.014-1.03A1.02 1.02 0 0 0 7.11 9.473c-.56 0-1.013.46-1.013 1.029"
  })));
};

SvgSupportedEmoji.propTypes = propTypes;
SvgSupportedEmoji.defaultProps = defaultProps;
export default SvgSupportedEmoji;