import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSupportedFilledEmoji = function SvgSupportedFilledEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 28",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M0 13.829C0 6.479 5.98.5 13.33.5c7.35 0 13.329 5.98 13.329 13.329 0 7.35-5.98 13.329-13.33 13.329C5.98 27.158 0 21.178 0 13.829zM13.33 16.02c1.987 0 3.84-1.069 4.835-2.79a.375.375 0 0 0-.65-.376 4.852 4.852 0 0 1-4.185 2.416 4.852 4.852 0 0 1-4.186-2.415.375.375 0 1 0-.65.376 5.604 5.604 0 0 0 4.836 2.79zm5.98-4.49c.56 0 1.014-.461 1.014-1.03a1.02 1.02 0 0 0-1.013-1.028c-.56 0-1.014.46-1.014 1.029a1.02 1.02 0 0 0 1.014 1.028zM6.1 10.5a1.02 1.02 0 0 0 1.012 1.03c.56 0 1.014-.461 1.014-1.03A1.02 1.02 0 0 0 7.11 9.473c-.56 0-1.013.46-1.013 1.029z"
  }));
};

SvgSupportedFilledEmoji.propTypes = propTypes;
SvgSupportedFilledEmoji.defaultProps = defaultProps;
export default SvgSupportedFilledEmoji;