import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgThumbsDownIcon = function SvgThumbsDownIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M14.1 2.17H8.68c-1.3 0-2.28.28-2.8.82-.42.43-.44.92-.44 1.02v5.2c0 .25.16 1.14 1.53 1.56.04 0 .17.07.3.14.2.1.7.4 1.26 1.1.83 1.02 1.3 2 1.48 3.05.06.37.05.7.04.93.3-.04.42-.44.45-.58.2-.74.3-1.65-.28-2.82a.921.921 0 0 1 0-.84c.1-.43.47-.75.93-.75h3.8c.22 0 .4-.15.4-.34 0-.2-.18-.36-.4-.36h-.07c-.55 0-1-.44-1-1 0-.55.45-1 1-1h.47c.23 0 .42-.16.42-.35 0-.2-.2-.36-.42-.36h-.47c-.55 0-1-.46-1-1 0-.56.45-1 1-1h.47c.23 0 .42-.17.42-.36 0-.2-.2-.36-.42-.36h-1.24c-.54 0-1-.45-1-1s.46-1 1-1c.24 0 .43-.16.43-.36 0-.2-.2-.35-.42-.35zM2.7 3.4c-.44 0-.7.22-.7.3v5.74c0 .07.26.3.7.3h.73V4.1v-.7H2.7zm15.07 4.55c0 .64-.26 1.2-.7 1.64.2.3.3.67.3 1.06 0 1.3-1.1 2.35-2.43 2.35H12.5c.3 1.22.1 2.22-.08 2.93-.38 1.47-1.62 2.32-2.97 2-1.52-.33-1.45-1.43-1.4-1.89 0-.2 0-.4-.03-.63-.12-.72-.44-1.38-1.06-2.14-.3-.36-.53-.5-.7-.6-.7-.24-1.23-.57-1.64-.95-.07.02-.12.05-.2.05h-1.7c-1.53 0-2.72-1-2.72-2.3V3.71c0-1.3 1.2-2.3 2.7-2.3h1.73c.08 0 .14.02.22.04C5.57.62 6.9.18 8.67.18h5.44c1.35 0 2.43 1.06 2.43 2.35 0 .22-.04.42-.1.62.8.4 1.34 1.18 1.34 2.1 0 .5-.16.97-.44 1.35.28.38.44.84.44 1.35z",
    fill: "currentColor"
  }));
};

SvgThumbsDownIcon.propTypes = propTypes;
SvgThumbsDownIcon.defaultProps = defaultProps;
export default SvgThumbsDownIcon;