import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgTretinoinGlyph = function SvgTretinoinGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 80 80",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("circle", {
    cx: 40,
    cy: 40,
    r: 40,
    fill: "#FEFEFE"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M56.38 59.35l-7.962-34.03H31.31l-7.962 34.03a2.283 2.283 0 0 0 2.223 2.803h28.586a2.283 2.283 0 0 0 2.223-2.803zM46.158 21H33.57c-2.221 0-3.527 2.496-2.26 4.32h17.107c1.267-1.824-.038-4.32-2.26-4.32z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M23.658 58.024H56.07v-3.766a10.98 10.98 0 0 1 6.194-9.882 10.981 10.981 0 0 0 6.195-9.883c0-5.11-4.14-9.25-9.25-9.25a9.901 9.901 0 0 0-9.12 6.045M26.707 41.161l-9.806-9.013-3.186 2.609 10.941 18.771"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M37.471 44.077a2.054 2.054 0 1 1-2.906 2.905c-.802-.8-1.143-4.049-1.143-4.049s3.246.342 4.05 1.144zm7.693 2.906a2.054 2.054 0 1 1-2.906-2.905c.802-.802 4.05-1.144 4.05-1.144s-.342 3.247-1.144 4.049zm-5.328 4.094v-10.68m3.833-4.279a3.797 3.797 0 1 1-7.596 0h7.596z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M16.9 32.147l-.874-4.2-6.418 5.608 4.107 1.202"
  })));
};

SvgTretinoinGlyph.propTypes = propTypes;
SvgTretinoinGlyph.defaultProps = defaultProps;
export default SvgTretinoinGlyph;