import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgTruckIcon = function SvgTruckIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M16.018 12.179H2V1.999h10.002l.055 3.873a1 1 0 0 0 1 .987h2l.979 2.454-.018 2.866zm1.947-3.426l-1.301-3.264a1 1 0 0 0-.93-.63h-1.691L13.989.987a1 1 0 0 0-1-.987H.999a1 1 0 0 0-1 1v12.179a1 1 0 0 0 1 1h1.774c-.003.038-.012.074-.012.112a1.619 1.619 0 0 0 3.237 0c0-.038-.008-.074-.01-.112h5.933c-.003.038-.011.074-.011.112a1.62 1.62 0 0 0 3.237 0c0-.038-.01-.074-.011-.112h1.876a1 1 0 0 0 1-.994l.025-4.056a.986.986 0 0 0-.072-.376z"
  }));
};

SvgTruckIcon.propTypes = propTypes;
SvgTruckIcon.defaultProps = defaultProps;
export default SvgTruckIcon;