import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgVitaminCGlyph = function SvgVitaminCGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 80 80",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    fill: "#FEFEFE",
    d: "M80 40c0 22.092-17.909 40-40 40S0 62.092 0 40C0 17.909 17.909 0 40 0s40 17.909 40 40"
  }), React.createElement("path", {
    fill: "#FEFEFE",
    d: "M80 40c0 22.092-17.909 40-40 40S0 62.092 0 40C0 17.909 17.909 0 40 0s40 17.909 40 40M24.947 69.162l30.308-56.324"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M24.947 69.162l30.308-56.324M53.376 20.166l13.9 7.354-12.051-14.552"
  }), React.createElement("path", {
    fill: "#FEFEFE",
    d: "M55.053 69.162L24.745 12.838"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M55.053 69.162L24.745 12.838M26.625 20.166L12.723 27.52l12.051-14.552"
  }), React.createElement("path", {
    fill: "#FEFEFE",
    d: "M26.306 29.883l.254 18.94c.14 7.65 14.109 14.349 14.109 14.349s13.714-7.17 13.57-14.823l-.294-18.902-27.64.436z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M26.306 29.883l.254 18.94c.14 7.65 14.109 14.349 14.109 14.349s13.714-7.17 13.57-14.823l-.294-18.902-27.64.436z"
  }), React.createElement("path", {
    fill: "#FEFEFE",
    d: "M26.306 29.883l.254 18.94c.14 7.65 14.109 14.349 14.109 14.349s13.714-7.17 13.57-14.823l-.294-18.902-27.64.436z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M26.306 29.883l.254 18.94c.14 7.65 14.109 14.349 14.109 14.349s13.714-7.17 13.57-14.823l-.294-18.902-27.64.436z"
  }), React.createElement("g", null, React.createElement("path", {
    fill: "#FEFEFE",
    d: "M45.152 48.866a5.979 5.979 0 1 1-.242-8.556"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M45.152 48.866a5.979 5.979 0 1 1-.242-8.556"
  })), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M40.272 29.663v3.892m.397 29.617V56.08M27.306 44.706h1.888m24.988 0h-2.589"
  })));
};

SvgVitaminCGlyph.propTypes = propTypes;
SvgVitaminCGlyph.defaultProps = defaultProps;
export default SvgVitaminCGlyph;