import styled from '@emotion/styled';
import { css } from '@emotion/core';
import { ANIMATION, COLORS } from '../../../../constants';
import { ButtonBase } from '../../style';
var multiStyles = "\n  justify-content: space-between;\n  max-width: 120px;\n  margin: 0 auto;\n";
export var RoundButtonContainer =
/*#__PURE__*/
styled("div", {
  target: "e6o8jsy0"
})("display:flex;justify-content:center;align-items:start;", function (_ref) {
  var multi = _ref.multi;
  return multi && multiStyles;
}, ";");
export var RoundButtonWrapper =
/*#__PURE__*/
styled("div", {
  target: "e6o8jsy1"
})("align-items:center;cursor:pointer;display:flex;flex-direction:column;justify-content:center;", function (_ref2) {
  var loading = _ref2.loading,
      disabled = _ref2.disabled;
  return (loading || disabled) &&
  /*#__PURE__*/
  css("cursor:not-allowed;");
}, ";");
export var RoundButtonBase =
/*#__PURE__*/
styled(ButtonBase, {
  target: "e6o8jsy2"
})("border-radius:50%;max-width:unset;min-height:unset;min-width:unset;height:48px;width:48px;padding:0;", function (_ref3) {
  var loading = _ref3.loading,
      disabled = _ref3.disabled;
  return !loading && !disabled &&
  /*#__PURE__*/
  css("&:hover{transition:all ", ANIMATION.defaultTiming, " ease-in-out;opacity:1;}");
}, ";& > svg{opacity:", function (_ref4) {
  var loading = _ref4.loading;
  return loading ? 0 : 1;
}, ";transition:opacity ", ANIMATION.defaultTiming, ";margin:0 auto;}");
export var roundButtonLoader = function roundButtonLoader(disabled) {
  return (
    /*#__PURE__*/
    css("width:36px;margin-top:-3px;", disabled && "\n    & span {\n      background-color: ".concat(COLORS.white, ";\n    }\n  "), ";")
  );
};
export var RoundButtonText =
/*#__PURE__*/
styled("p", {
  target: "e6o8jsy3"
})("margin:10px 0;");