import PropTypes from 'prop-types';
import styled from '@emotion/styled';
import { css } from '@emotion/core';
import { MEDIA_QUERIES, SPACING } from '../../../../constants';
var reverseStyles =
/*#__PURE__*/
css("flex-direction:column-reverse;& >:not(:last-child){margin-bottom:0;margin-top:", SPACING.small, ";}");
var flexMdUpStyles =
/*#__PURE__*/
css("& >:not(:last-child){margin-bottom:0;margin-top:", SPACING.small, ";}");
/* eslint-disable indent */

var ButtonContainer =
/*#__PURE__*/
styled("div", {
  target: "e1modkep0"
})("display:flex;flex-direction:column;flex-wrap:wrap;justify-content:center;align-items:center;& a{text-decoration:none;}& >:not(:last-child){margin-bottom:", SPACING.small, ";margin-top:0;}", function (_ref) {
  var reverse = _ref.reverse;
  return reverse && reverseStyles;
}, ";", MEDIA_QUERIES.mdUp, "{& >:not(:last-child){margin-bottom:", SPACING.small, ";margin-top:0;margin-right:0;}", function (_ref2) {
  var reverse = _ref2.reverse;
  return reverse && reverseStyles;
}, ";", function (_ref3) {
  var flex = _ref3.flex;
  return flex && flexMdUpStyles;
}, ";}");
/* eslint-enable */

ButtonContainer.propTypes = {
  flex: PropTypes.bool,
  reverse: PropTypes.bool
};
export default ButtonContainer;