import styled from '@emotion/styled';
import { css } from '@emotion/core';
import { SPACING, BOX_SHADOWS, COLORS, MEDIA_QUERIES } from '../../constants';
var clickableStyle =
/*#__PURE__*/
css("box-shadow:", BOX_SHADOWS.clickable, ";cursor:pointer;transition:box-shadow 200ms;&:hover{box-shadow:", BOX_SHADOWS.clickableHover, ";}");
var messageStyle =
/*#__PURE__*/
css("border-radius:16px;box-shadow:", BOX_SHADOWS.message, ";");
export var Container =
/*#__PURE__*/
styled("div", {
  target: "e1wlf8sc0"
})("background-color:", COLORS.white, ";border:1px solid ", COLORS.border, ";", function (_ref) {
  var type = _ref.type;

  switch (type) {
    case 'message':
      return messageStyle;

    case 'clickable':
      return clickableStyle;

    default:
      return null;
  }
}, ";"); // TODO update desktop padding to 48px

export var Section =
/*#__PURE__*/
styled("div", {
  target: "e1wlf8sc1"
})("padding:", SPACING.base, ";", MEDIA_QUERIES.lgUp, "{padding-left:", SPACING.large, ";padding-right:", SPACING.large, ";}");
export var Divider =
/*#__PURE__*/
styled("div", {
  target: "e1wlf8sc2"
})("margin:0 ", SPACING.base, ";border-bottom:1px solid ", COLORS.divider, ";", MEDIA_QUERIES.lgUp, "{margin:0 ", SPACING.large, ";}");
export var Image =
/*#__PURE__*/
styled("img", {
  target: "e1wlf8sc3"
})("width:100%;overflow:hidden;object-fit:cover;");