import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgAzelaicAcidGlyph = function SvgAzelaicAcidGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 80 80",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    fill: "#FEFEFE",
    d: "M80 40c0 22.092-17.909 40-40 40S0 62.092 0 40C0 17.909 17.909 0 40 0s40 17.909 40 40"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeWidth: 2,
    d: "M33.835 58.643a.835.835 0 1 1-1.669.001.835.835 0 0 1 1.67 0zm11.413-39.308a5.694 5.694 0 1 1-11.388 0 5.694 5.694 0 0 1 11.389 0z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M35.764 27.894v7.645m3.79-5.428v9.012m4.08-11.017v4.634"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M69.599 66.906a40.248 40.248 0 0 1-1.532 1.594c-1.23-.485-2.34-1.178-3.515-2.153-2.324-1.93-4.568-4.416-7.269-7.877a185.81 185.81 0 0 1-1.818-2.376c-.066-.087-1.351-1.793-1.712-2.268-3.41-4.493-8.746-7.31-14.116-7.31-5.06 0-10.29 2.532-13.92 6.58-1.135 1.266-2.065 2.539-3.769 5.059l-.438.648c-2.644 3.91-4.13 5.794-6.238 7.544-1.097.91-2.171 1.641-3.276 2.215-.5-.49-.988-.994-1.462-1.51 1.172-.54 2.294-1.276 3.46-2.244 1.916-1.59 3.32-3.369 5.86-7.125l.438-.649c1.753-2.593 2.721-3.918 3.936-5.274 3.995-4.455 9.756-7.245 15.409-7.245 6.015 0 11.932 3.125 15.71 8.102.362.478 1.65 2.187 1.714 2.272.702.93 1.253 1.651 1.8 2.35 2.619 3.358 4.778 5.75 6.969 7.569 1.234 1.025 2.38 1.685 3.769 2.098z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeWidth: 2,
    d: "M37.478 58.642a4.35 4.35 0 1 1-8.699.003 4.35 4.35 0 0 1 8.699-.003zm14.094 0a4.35 4.35 0 1 1-8.699.003 4.35 4.35 0 0 1 8.7-.003z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeWidth: 2,
    d: "M48.057 58.643a.835.835 0 1 1-1.669.001.835.835 0 0 1 1.67 0zm1.92 11.199c0 1.439-1.593 2.617-3.541 2.617H33.219c-1.948 0-3.541-1.178-3.541-2.617 0-1.44 1.593-2.617 3.541-2.617h13.217c1.948 0 3.541 1.178 3.541 2.617zm-16.052-2.726v5.307m4.023-5.307v5.307m4.023-5.307v5.307m4.024-5.307v5.307"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M44.565 46.706a6.258 6.258 0 0 1-5.194 2.76 6.247 6.247 0 0 1-4.828-2.275"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeWidth: 2,
    d: "M35.522 46.366a4.512 4.512 0 0 1-.222-.289"
  })));
};

SvgAzelaicAcidGlyph.propTypes = propTypes;
SvgAzelaicAcidGlyph.defaultProps = defaultProps;
export default SvgAzelaicAcidGlyph;