import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgCameraIcon = function SvgCameraIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 14 14",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M2.341 13.222A2.333 2.333 0 0 1 0 10.89v-7a2.334 2.334 0 0 1 2.326-2.333h.919L4.229.57C4.61.214 5.11.01 5.645 0h2.726c.52.01 1.02.214 1.418.588l.966.968h.922A2.333 2.333 0 0 1 14 3.889V10.9a2.333 2.333 0 0 1-2.34 2.321H2.341zm9.32-1.555a.778.778 0 0 0 .783-.77V3.889a.777.777 0 0 0-.77-.778H10.11l-.228-.228-1.177-1.178a.545.545 0 0 0-.351-.15H5.66a.543.543 0 0 0-.35.133L3.89 3.11H2.33a.778.778 0 0 0-.774.778v7a.778.778 0 0 0 .783.778h9.322zM7 10.889A3.889 3.889 0 1 1 7 3.11a3.889 3.889 0 0 1 0 7.778zm0-1.556a2.333 2.333 0 1 0 0-4.666 2.333 2.333 0 0 0 0 4.666z"
  }));
};

SvgCameraIcon.propTypes = propTypes;
SvgCameraIcon.defaultProps = defaultProps;
export default SvgCameraIcon;