import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgChatBubbleGlyph = function SvgChatBubbleGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 58 59",
    stroke: "currentColor",
    strokeWidth: 3,
    fill: "none",
    strokeLinecap: "round",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M28.97 2.348C14.076 2.348 2 14.423 2 29.318c0 5.412 1.6 10.447 4.344 14.67l-3.027 9.885 9.747-2.779a26.84 26.84 0 0 0 15.907 5.195c14.895 0 26.97-12.075 26.97-26.97 0-14.896-12.075-26.971-26.97-26.971h0zM37.505 38.75h-17.1M37.505 30.75h-17.1M37.505 22.75h-17.1"
  }));
};

SvgChatBubbleGlyph.propTypes = propTypes;
SvgChatBubbleGlyph.defaultProps = defaultProps;
export default SvgChatBubbleGlyph;