import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgClindamycinGlyph = function SvgClindamycinGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 80 80",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    fill: "#FEFEFE",
    d: "M80 40c0 22.092-17.91 40-40 40C17.909 80 0 62.092 0 40 0 17.909 17.909 0 40 0c22.09 0 40 17.909 40 40"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M59.096 63.59H45.187V34.64a6.954 6.954 0 1 1 13.909 0v28.95z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M48.664 27.686v-6.412h6.412v6.412"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M41.751 21.274h16.22a5.512 5.512 0 0 1 5.511 5.513v31.57m-1.922-41.38l-6.484 4.297"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M41.397 23.129l-13.639 2.466v-8.644l13.639 2.466z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2,
    d: "M45.187 55.409h6.683V36.646h-6.683z"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M23.943 63.46s-7.828-1.515-8.24-10.013c-.325-6.682 4.444-11.616 4.444-11.616s.777 2.284.777 4.773c0 0 3.733-2.226 5.133-5.546 1.4-3.32 1.555-7.52 1.555-7.52s2.644 4.578 4.2 8.293c1.555 3.715 1.72 4.376 1.72 4.376s1.44-3.232 1.932-4.546c0 0 2.874 4.023 2.545 10.015-.328 5.992-3.352 11.708-9.771 11.708 0 0 .909-1.343 1.152-4.978.268-3.997-3.022-7.121-3.022-7.121s-7.104 4.178-2.425 12.175z"
  })));
};

SvgClindamycinGlyph.propTypes = propTypes;
SvgClindamycinGlyph.defaultProps = defaultProps;
export default SvgClindamycinGlyph;