import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgCombinationGlyph = function SvgCombinationGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    strokeLinecap: "round",
    strokeWidth: 2,
    stroke: "currentColor"
  }, React.createElement("path", {
    d: "M30.756 24.517c0 1.003-.84 1.816-1.878 1.816-1.037 0-1.878-.813-1.878-1.816 0-1.449 1.878-3.233 1.878-3.233s1.878 1.804 1.878 3.233zm0-9c0 1.003-.84 1.816-1.878 1.816-1.037 0-1.878-.813-1.878-1.816 0-1.449 1.878-3.233 1.878-3.233s1.878 1.804 1.878 3.233zM21.776 12a5.283 5.283 0 0 0-.276 7.639A5.284 5.284 0 0 1 21.515 27m-5.739-15a5.283 5.283 0 0 0-.276 7.639A5.284 5.284 0 0 1 15.515 27M12 32h21"
  })));
};

SvgCombinationGlyph.propTypes = propTypes;
SvgCombinationGlyph.defaultProps = defaultProps;
export default SvgCombinationGlyph;