import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgCreditCardIcon = function SvgCreditCardIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 15",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M15.574 10.607H2.217A.223.223 0 0 1 2 10.39V6.074h13.792v4.315c0 .118-.1.218-.218.218M2.217 2h13.357a.22.22 0 0 1 .218.217v1.857H2V2.217A.22.22 0 0 1 2.217 2m13.357-2H2.217A2.22 2.22 0 0 0 0 2.217v8.172a2.22 2.22 0 0 0 2.217 2.218h13.357a2.22 2.22 0 0 0 2.218-2.218V2.217A2.22 2.22 0 0 0 15.574 0"
  }));
};

SvgCreditCardIcon.propTypes = propTypes;
SvgCreditCardIcon.defaultProps = defaultProps;
export default SvgCreditCardIcon;