import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgEditIcon = function SvgEditIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    fill: "currentColor",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M15.621 4.211l-5.267 5.267L8.52 7.646l5.268-5.268a1.296 1.296 0 0 1 1.833 1.833zM7.688 9.706l.606.606-.765.158.16-.764zM17.035.964a3.299 3.299 0 0 0-4.66 0l-5.9 5.898a.986.986 0 0 0-.293.388.964.964 0 0 0-.054.15c-.002.011-.009.021-.01.032l-.857 4.124a.998.998 0 0 0 1.182 1.182l4.124-.856c.011-.002.02-.008.032-.01a.87.87 0 0 0 .15-.055.991.991 0 0 0 .39-.294l5.896-5.898a3.3 3.3 0 0 0 0-4.66z"
  }), React.createElement("path", {
    d: "M14.555 10.647a1 1 0 0 0-1 1v3.473H2V3.565h5.183a1 1 0 1 0 0-2H1a1 1 0 0 0-1 1V16.12a1 1 0 0 0 1 1h13.555a1 1 0 0 0 1-1v-4.473a1 1 0 0 0-1-1"
  }));
};

SvgEditIcon.propTypes = propTypes;
SvgEditIcon.defaultProps = defaultProps;
export default SvgEditIcon;