import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgElatedFilledEmoji = function SvgElatedFilledEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M13.5 13.458c-.692 0-1.336-.09-1.904-.17-.411-.058-.808-.113-1.123-.113-.245 0-.438.033-.546.128-.114.098-.17.306-.17.616 0 1.661 1.678 3.013 3.744 3.013 2.064 0 3.743-1.352 3.743-3.013 0-.31-.057-.518-.171-.616-.246-.215-.938-.118-1.67-.015-.566.08-1.21.17-1.902.17z",
    fill: "#A6A1E2"
  }), React.createElement("path", {
    d: "M21.872 11.594a.38.38 0 0 1-.5-.04 1.517 1.517 0 0 0-1.034-.392c-.646 0-1.031.385-1.034.39a.382.382 0 0 1-.501.042.38.38 0 0 1-.106-.492 1.893 1.893 0 0 1 1.64-.967c.675 0 1.303.37 1.639.967a.379.379 0 0 1-.104.492M13.5 17.691c-2.483 0-4.504-1.692-4.504-3.772 0-.548.142-.937.432-1.19.506-.44 1.287-.332 2.273-.193.543.076 1.159.162 1.799.162.639 0 1.255-.086 1.798-.162.986-.139 1.765-.248 2.273.193.29.253.432.642.432 1.19 0 2.08-2.021 3.772-4.503 3.772m-5.302-6.097a.38.38 0 0 1-.5-.04 1.521 1.521 0 0 0-1.035-.392c-.646 0-1.03.385-1.034.39a.38.38 0 0 1-.606-.45 1.891 1.891 0 0 1 1.64-.967c.674 0 1.302.37 1.64.967a.382.382 0 0 1-.105.492M13.5 0C6.057 0 0 6.056 0 13.5S6.057 27 13.5 27C20.945 27 27 20.944 27 13.5S20.944 0 13.5 0",
    fill: "#A6A1E2"
  })));
};

SvgElatedFilledEmoji.propTypes = propTypes;
SvgElatedFilledEmoji.defaultProps = defaultProps;
export default SvgElatedFilledEmoji;