import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFemaleGlyph = function SvgFemaleGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, React.createElement("path", {
    d: "M32.655 20.735l.003 3.982v.565c0 5.727-7.293 10.369-10.432 10.369-3.14 0-10.433-4.642-10.433-10.369v-4.914c0-5.726 4.67-10.368 10.433-10.368 5.761 0 10.432 4.642 10.432 10.368l-.003.367zm-20.863 4.236c-.99 0-1.792-.798-1.792-1.781 0-.984.802-1.782 1.792-1.782m20.93 3.563c.99 0 1.792-.798 1.792-1.781 0-.984-.802-1.782-1.792-1.782m-15.57-10.123s-3.775 9.894 14.885 9.894M17.91 17.15s-1.133 4.128-5.999 4.164"
  }), React.createElement("path", {
    d: "M11.792 20.735v12.632h5.046M32.658 20.735v12.632h-5.046"
  })));
};

SvgFemaleGlyph.propTypes = propTypes;
SvgFemaleGlyph.defaultProps = defaultProps;
export default SvgFemaleGlyph;