import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgFuriousEmoji = function SvgFuriousEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M13.5 25.633c-6.69 0-12.133-5.442-12.133-12.132C1.367 6.81 6.81 1.368 13.5 1.368c6.69 0 12.134 5.443 12.134 12.133 0 6.69-5.445 12.132-12.135 12.132M13.5 0C6.056 0 .002 6.056.002 13.5 0 20.946 6.056 27 13.498 27 20.944 27 27 20.946 27 13.5 27 6.057 20.944 0 13.5 0",
    fill: "#332E54"
  }), React.createElement("path", {
    d: "M15.397 20.721c-.085.073-.491.008-.787-.04a6.828 6.828 0 0 0-1.11-.113c-.408 0-.781.06-1.11.113-.297.047-.703.113-.787.04-.003-.002-.061-.055-.061-.319 0-1.005.877-1.823 1.958-1.823 1.08 0 1.959.819 1.959 1.823 0 .264-.059.317-.062.32M13.5 17.82c-1.499 0-2.718 1.159-2.718 2.582 0 .415.107.71.328.897.188.162.416.213.672.213.222 0 .468-.038.728-.08.301-.048.643-.104.99-.104s.688.056.99.104c.562.09 1.049.168 1.4-.133.221-.188.328-.482.328-.896 0-1.424-1.219-2.582-2.718-2.582M6.478 16.078a1.027 1.027 0 1 0 1.107 1.73 1.027 1.027 0 0 0-1.107-1.73M8.59 14.624l-2.7-1.779a.38.38 0 1 0-.418.634l2.701 1.78a.379.379 0 0 0 .525-.108.378.378 0 0 0-.108-.527M20.522 16.078a1.025 1.025 0 1 0-1.105 1.728 1.025 1.025 0 0 0 1.105-1.728M21.11 12.845l-2.701 1.78a.38.38 0 1 0 .418.633l2.7-1.778a.377.377 0 0 0 .109-.527.379.379 0 0 0-.525-.107",
    fill: "#332E54"
  })));
};

SvgFuriousEmoji.propTypes = propTypes;
SvgFuriousEmoji.defaultProps = defaultProps;
export default SvgFuriousEmoji;