import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgGiftIcon = function SvgGiftIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M14.854 15.396a.568.568 0 0 1-.567.565H9.861V6.598h4.992v8.797zm-11.981 0V6.598h4.99v9.363H3.438a.567.567 0 0 1-.567-.566zM5.588 2.3C5.79 2.1 6.056 2 6.322 2c.266 0 .532.1.734.302.4.4.646 1.345.758 2.226-.833-.104-1.798-.333-2.226-.76a1.038 1.038 0 0 1 0-1.466zm5.081 0h.002c.196-.196.455-.303.732-.303.277 0 .537.108.732.305.197.196.305.454.305.732 0 .276-.107.536-.304.732-.427.427-1.391.656-2.224.76.111-.88.357-1.825.757-2.226zm7.056 3.297a1 1 0 0 0-1-1h-2.729A3.017 3.017 0 0 0 13.55.887c-1.148-1.144-3.148-1.148-4.296 0a3.248 3.248 0 0 0-.393.492A3.134 3.134 0 0 0 8.47.887a3.043 3.043 0 0 0-4.294 0 3.035 3.035 0 0 0-.446 3.711H1a1 1 0 0 0-1 1c0 .508.384.91.874.974v8.823a2.569 2.569 0 0 0 2.566 2.567h10.848a2.569 2.569 0 0 0 2.566-2.566V6.572a.988.988 0 0 0 .872-.974z"
  }));
};

SvgGiftIcon.propTypes = propTypes;
SvgGiftIcon.defaultProps = defaultProps;
export default SvgGiftIcon;