import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgMaleGlyph = function SvgMaleGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeWidth: 2
  }, React.createElement("path", {
    d: "M32.655 20.735l.003 3.982v.565c0 5.727-7.293 10.369-10.432 10.369-3.14 0-10.433-4.642-10.433-10.369v-4.914c0-5.726 4.67-10.368 10.433-10.368 5.761 0 10.432 4.642 10.432 10.368l-.003.367zM11.792 25.55c-.99 0-1.792-.798-1.792-1.782 0-.983.802-1.78 1.792-1.78m20.93 3.562c.99 0 1.792-.798 1.792-1.782 0-.983-.802-1.78-1.792-1.78"
  }), React.createElement("path", {
    d: "M11.792 20.735c-.009-3.558 2.157-6.526 6.701-5.126 2.527.788 4.762 1.096 7.46 0 4.545-1.4 6.71 1.568 6.702 5.126"
  })));
};

SvgMaleGlyph.propTypes = propTypes;
SvgMaleGlyph.defaultProps = defaultProps;
export default SvgMaleGlyph;