import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgMessageIcon = function SvgMessageIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M14.106 12.447A1 1 0 0 1 14 12V6.01A2.997 2.997 0 0 0 11.007 3H4.993A2.993 2.993 0 0 0 2 5.993v6.014A2.994 2.994 0 0 0 4.996 15h10.386l-1.276-2.553zm3.788 3.106A1 1 0 0 1 17 17H4.996A4.994 4.994 0 0 1 0 12.007V5.993A4.993 4.993 0 0 1 4.993 1h6.014A4.997 4.997 0 0 1 16 6.01v5.754l1.894 3.789z"
  }));
};

SvgMessageIcon.propTypes = propTypes;
SvgMessageIcon.defaultProps = defaultProps;
export default SvgMessageIcon;