import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgNotificationsIcon = function SvgNotificationsIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 14 14",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M12.444 10.889H1.556v-.682l1.366-5.468A4.198 4.198 0 0 1 7 1.556a4.198 4.198 0 0 1 4.078 3.183l1.366 5.468v.682zm1.533-.967l-1.39-5.56A5.751 5.751 0 0 0 7 0a5.751 5.751 0 0 0-5.587 4.362l-1.39 5.56a.776.776 0 0 0-.023.19v1.555c0 .429.348.777.778.777H4.81A2.325 2.325 0 0 0 7 14a2.325 2.325 0 0 0 2.19-1.556h4.032c.43 0 .778-.348.778-.777V10.11a.776.776 0 0 0-.023-.189z"
  }));
};

SvgNotificationsIcon.propTypes = propTypes;
SvgNotificationsIcon.defaultProps = defaultProps;
export default SvgNotificationsIcon;