import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgPaperclipIcon = function SvgPaperclipIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 16",
    fill: "currentColor",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M7.354 15.101l-4.048-4.048a4.77 4.77 0 1 1 6.747-6.747l5.06 5.06a3.34 3.34 0 0 1-4.722 4.723L5.33 9.03a1.908 1.908 0 1 1 2.698-2.7l5.06 5.061a.954.954 0 0 0 1.35-1.35l-5.06-5.06a3.817 3.817 0 1 0-5.398 5.398l5.06 5.06a5.248 5.248 0 0 0 7.422-7.421l-5.06-5.06a6.68 6.68 0 0 0-9.447 9.445l4.049 4.049a.954.954 0 0 0 1.35-1.35z"
  }));
};

SvgPaperclipIcon.propTypes = propTypes;
SvgPaperclipIcon.defaultProps = defaultProps;
export default SvgPaperclipIcon;