import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgPillsGlyph = function SvgPillsGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 32 38",
    fill: "none",
    fillRule: "evenodd",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M1 7.3v23.4h0A6.3 6.3 0 0 0 7.3 37h17.4a6.3 6.3 0 0 0 6.3-6.3V7.3h0A6.3 6.3 0 0 0 24.7 1H7.3h0A6.3 6.3 0 0 0 1 7.3z",
    stroke: "currentColor",
    strokeWidth: 1.4,
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), React.createElement("g", {
    fill: "currentColor"
  }, React.createElement("path", {
    d: "M8 31a1 1 0 1 1 0-2 1 1 0 0 1 0 2M8 24a1 1 0 1 1 0-2 1 1 0 0 1 0 2M8 16a1 1 0 1 1 0-2 1 1 0 0 1 0 2M8 9a1 1 0 1 1 0-2 1 1 0 0 1 0 2M24 31a1 1 0 1 1 0-2 1 1 0 0 1 0 2M24 24a1 1 0 1 1 0-2 1 1 0 0 1 0 2M24 16a1 1 0 1 1 0-2 1 1 0 0 1 0 2M24 9a1 1 0 1 1 0-2 1 1 0 0 1 0 2M15 13a1 1 0 1 1 0-2 1 1 0 0 1 0 2M15 20a1 1 0 1 1 0-2 1 1 0 0 1 0 2M15 28a1 1 0 1 1 0-2 1 1 0 0 1 0 2"
  })));
};

SvgPillsGlyph.propTypes = propTypes;
SvgPillsGlyph.defaultProps = defaultProps;
export default SvgPillsGlyph;