import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgQuestionCircleIcon = function SvgQuestionCircleIcon(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 18 18",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M8.985 15.972A6.993 6.993 0 0 1 2 8.987C2 5.134 5.133 2 8.985 2a6.994 6.994 0 0 1 6.986 6.987 6.993 6.993 0 0 1-6.986 6.985M8.985 0C4.031 0 0 4.032 0 8.987c0 4.954 4.031 8.985 8.985 8.985 4.955 0 8.986-4.031 8.986-8.985C17.971 4.032 13.941 0 8.985 0"
  }), React.createElement("path", {
    d: "M8.991 12.278c-.563 0-.97.396-.97.936s.407.947.97.947c.528 0 .96-.42.96-.947a.943.943 0 0 0-.96-.936m-.006-8.191A3.28 3.28 0 0 0 5.71 7.363a1 1 0 1 0 2 0A1.277 1.277 0 1 1 8.985 8.64a1 1 0 0 0-1 1v1.079a1 1 0 1 0 2 0v-.235a3.289 3.289 0 0 0 2.276-3.121 3.28 3.28 0 0 0-3.276-3.276"
  }));
};

SvgQuestionCircleIcon.propTypes = propTypes;
SvgQuestionCircleIcon.defaultProps = defaultProps;
export default SvgQuestionCircleIcon;