import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSatisfiedEmoji = function SvgSatisfiedEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "currentColor",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M13.5 25.633c-6.689 0-12.133-5.443-12.133-12.133 0-6.69 5.444-12.133 12.133-12.133 6.689 0 12.133 5.443 12.133 12.133 0 6.69-5.444 12.133-12.133 12.133M13.5 0C6.056 0 0 6.056 0 13.5S6.056 27 13.5 27 27 20.944 27 13.5 20.944 0 13.5 0"
  }), React.createElement("path", {
    d: "M15.502 18.067c-.401.445-1.168.723-2.002.723-.834 0-1.602-.277-2.002-.723a.38.38 0 0 0-.564.508c.547.61 1.506.974 2.566.974 1.059 0 2.018-.363 2.566-.974a.38.38 0 1 0-.564-.508M6.663 15.295c-.675 0-1.303.371-1.64.968a.382.382 0 0 0 .607.449 1.533 1.533 0 0 1 1.033-.389c.637 0 1.015.369 1.036.39a.379.379 0 0 0 .604-.45 1.891 1.891 0 0 0-1.64-.968M20.337 15.295c-.675 0-1.303.371-1.64.968a.382.382 0 0 0 .33.567c.102 0 .202-.04.276-.118.004-.004.388-.389 1.034-.389.637 0 1.015.369 1.035.39a.38.38 0 0 0 .605-.45 1.891 1.891 0 0 0-1.64-.968"
  })));
};

SvgSatisfiedEmoji.propTypes = propTypes;
SvgSatisfiedEmoji.defaultProps = defaultProps;
export default SvgSatisfiedEmoji;