import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSatisfiedFilledEmoji = function SvgSatisfiedFilledEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M21.871 16.755a.38.38 0 0 1-.499-.041 1.523 1.523 0 0 0-1.035-.391c-.646 0-1.03.386-1.034.39a.383.383 0 0 1-.5.042.379.379 0 0 1-.106-.491 1.891 1.891 0 0 1 1.64-.968c.675 0 1.303.37 1.64.967a.38.38 0 0 1-.106.492m-5.804 1.82c-.55.61-1.508.975-2.567.975-1.06 0-2.019-.364-2.567-.975a.38.38 0 0 1 .565-.508c.4.446 1.168.723 2.002.723.834 0 1.601-.277 2.002-.723a.38.38 0 0 1 .565.508m-7.869-1.82a.38.38 0 0 1-.499-.041 1.527 1.527 0 0 0-1.036-.391 1.53 1.53 0 0 0-1.033.39.383.383 0 0 1-.5.042.38.38 0 0 1-.107-.491 1.891 1.891 0 0 1 1.64-.968c.675 0 1.303.37 1.64.967a.382.382 0 0 1-.105.492M13.5 0C6.056 0 0 6.057 0 13.5S6.056 27 13.5 27 27 20.946 27 13.502 20.944 0 13.5 0",
    fill: "#A6A1E2",
    fillRule: "evenodd"
  }));
};

SvgSatisfiedFilledEmoji.propTypes = propTypes;
SvgSatisfiedFilledEmoji.defaultProps = defaultProps;
export default SvgSatisfiedFilledEmoji;