import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSunscreenDropGlyph = function SvgSunscreenDropGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    stroke: "currentColor",
    strokeWidth: 2
  }, React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M22.243 18.491h9.654c1.058 0 1.925.868 1.925 1.929 0 1.06-.867 1.928-1.925 1.928h-4.614.636c1.059 0 1.925.868 1.925 1.929 0 1.06-.866 1.928-1.925 1.928h-.636m0 0h.636c1.059 0 1.925.868 1.925 1.93 0 1.06-.866 1.928-1.925 1.928h-1.68m-12.726.758s2.501 3.099 6.426 3.099h6.3a1.933 1.933 0 0 0 1.925-1.929c0-1.06-.866-1.928-1.925-1.928"
  }), React.createElement("path", {
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M13.356 30.491c-1.464-1.853-1.844-6.428-.48-9.064 1.364-2.635 2.756-3.32 4.738-4.015.919-.322 1.733-.638 1.974-.723 2.411-.843 2.173-.258 4.743 1.562"
  }), React.createElement("path", {
    d: "M32.876 13.144l-1.523-2.084-1.517 2.049a1.85 1.85 0 0 0 1.507 2.922 1.85 1.85 0 0 0 1.533-2.887z"
  })));
};

SvgSunscreenDropGlyph.propTypes = propTypes;
SvgSunscreenDropGlyph.defaultProps = defaultProps;
export default SvgSunscreenDropGlyph;