import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgSunscreenTubGlyph = function SvgSunscreenTubGlyph(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 45 45",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, React.createElement("path", {
    fill: "currentColor",
    d: "M23.247 22.718a2.834 2.834 0 0 0-2.831 2.831c0 1.561 1.27 2.831 2.831 2.831 1.56 0 2.831-1.27 2.831-2.83 0-1.562-1.27-2.832-2.831-2.832m0 7.174a4.347 4.347 0 0 1-4.343-4.343 4.348 4.348 0 0 1 4.343-4.342 4.348 4.348 0 0 1 4.343 4.342 4.347 4.347 0 0 1-4.343 4.343"
  }), React.createElement("path", {
    d: "M22.704 19.303h1.086v1.085h-1.086z"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M1.348.746a.543.543 0 1 1-1.085 0 .543.543 0 0 1 1.085 0",
    mask: "url(#sunscreen-tub-glyph_svg__always-b)",
    transform: "translate(22.442 19.099)"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M19.597 21.132a.543.543 0 1 1-.768.768.543.543 0 0 1 .768-.768m-2.054 3.875a.543.543 0 1 1 0 1.085.543.543 0 0 1 0-1.085m1.287 4.192a.543.543 0 1 1 .767.768.543.543 0 0 1-.767-.768m3.874 2.055a.543.543 0 1 1 1.085 0 .543.543 0 0 1-1.085 0m4.193-1.287a.543.543 0 1 1 .768-.768.543.543 0 0 1-.768.768"
  }), React.createElement("path", {
    d: "M28.409 25.007h1.085v1.085h-1.085z"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M.765 1.25a.543.543 0 1 1 0-1.086.543.543 0 0 1 0 1.085",
    mask: "url(#sunscreen-tub-glyph_svg__always-d)",
    transform: "translate(28.186 24.843)"
  }), React.createElement("path", {
    fill: "currentColor",
    d: "M27.664 21.9a.543.543 0 1 1-.767-.768.543.543 0 0 1 .767.768"
  }), React.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: 2,
    d: "M10 17h26v14a4 4 0 0 1-4 4H14a4 4 0 0 1-4-4V17zm3-6h20a3 3 0 0 1 3 3v3H10v-3a3 3 0 0 1 3-3z"
  })));
};

SvgSunscreenTubGlyph.propTypes = propTypes;
SvgSunscreenTubGlyph.defaultProps = defaultProps;
export default SvgSunscreenTubGlyph;