import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgUnsatisfiedEmoji = function SvgUnsatisfiedEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("g", {
    fill: "#332E54",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M19.058 15.374a1.013 1.013 0 1 0 1.09 1.707 1.013 1.013 0 0 0-1.09-1.707M7.6 15.374a1.013 1.013 0 1 0-1.092 1.707A1.013 1.013 0 0 0 7.6 15.374"
  }), React.createElement("path", {
    d: "M13.329 25.308c-6.606 0-11.98-5.373-11.98-11.979C1.35 6.724 6.724 1.35 13.33 1.35c6.605 0 11.979 5.374 11.979 11.979 0 6.605-5.374 11.979-11.98 11.979m0-25.308C5.98 0 0 5.98 0 13.329c0 7.35 5.979 13.329 13.329 13.329 7.349 0 13.328-5.979 13.328-13.329C26.657 5.979 20.678 0 13.328 0"
  }), React.createElement("path", {
    d: "M13.329 17.713c-1.046 0-1.993.36-2.535.963a.374.374 0 1 0 .558.501c.396-.44 1.153-.714 1.977-.714.823 0 1.58.274 1.976.714a.375.375 0 0 0 .558-.502c-.542-.602-1.489-.962-2.534-.962"
  })));
};

SvgUnsatisfiedEmoji.propTypes = propTypes;
SvgUnsatisfiedEmoji.defaultProps = defaultProps;
export default SvgUnsatisfiedEmoji;