import { css as _css } from "emotion";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { propTypes, defaultProps, iconStyles } from "../utils/icons";

var SvgUnsatisfiedFilledEmoji = function SvgUnsatisfiedFilledEmoji(_ref) {
  var className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["className"]);

  return React.createElement("svg", _extends({
    viewBox: "0 0 27 27",
    className:
    /*#__PURE__*/
    _css(iconStyles(rest), ";", className, ";")
  }, rest), React.createElement("path", {
    d: "M20.408 17.3a1.026 1.026 0 1 1-1.106-1.728 1.026 1.026 0 0 1 1.106 1.728m-4.37 2.15a.38.38 0 0 1-.536-.027c-.4-.446-1.168-.723-2.002-.723-.834 0-1.602.277-2.002.723a.377.377 0 0 1-.536.029.38.38 0 0 1-.029-.537c.548-.61 1.508-.975 2.567-.975 1.058 0 2.018.364 2.567.975a.38.38 0 0 1-.028.536m-8.03-2.462a1.026 1.026 0 1 1-1.729-1.105A1.026 1.026 0 0 1 8.01 16.99M13.499 0C6.056 0 0 6.056 0 13.5S6.056 27 13.5 27 27 20.944 27 13.5 20.944 0 13.5 0",
    fill: "#A6A1E2",
    fillRule: "evenodd"
  }));
};

SvgUnsatisfiedFilledEmoji.propTypes = propTypes;
SvgUnsatisfiedFilledEmoji.defaultProps = defaultProps;
export default SvgUnsatisfiedFilledEmoji;