import styled from '@emotion/styled';
import { css, keyframes } from '@emotion/core';
import { COLORS } from '../../../../constants';
var statefulLoader =
/*#__PURE__*/
keyframes("0%{opacity:1;transform:translate3d(0,0,0) scale(1,1);}20%{opacity:.95;transform:translate3d(12px,0,0) scale(1,1);}35%{opacity:0;transform:translate3d(16px,0,0) scale(.85,.85);}100%{opacity:0;transform:translate3d(16px,0,0);}");
var primaryLoadingStyles =
/*#__PURE__*/
css("background-color:", COLORS.white, ";");
var accentLoadingStyles =
/*#__PURE__*/
css("background-color:", COLORS.purple, ";");
var quaternaryLoadingStyles =
/*#__PURE__*/
css("background-color:", COLORS.purple60, ";");
var ButtonLoader =
/*#__PURE__*/
styled("div", {
  target: "e141w04g0"
})("display:flex;align-items:center;justify-content:flex-start;position:absolute;bottom:0;right:0;top:0;margin-top:-6px;width:38px;opacity:", function (_ref) {
  var loading = _ref.loading;
  return loading ? 1 : 0;
}, ";& span{", function (_ref2) {
  var disabled = _ref2.disabled,
      buttonType = _ref2.buttonType;

  if (disabled) {
    return '';
  }

  switch (buttonType) {
    case 'secondary':
      return accentLoadingStyles;

    case 'tertiary':
      return accentLoadingStyles;

    case 'quaternary':
      return quaternaryLoadingStyles;

    default:
      return primaryLoadingStyles;
  }
}, ";", function (_ref3) {
  var textColor = _ref3.textColor,
      disabled = _ref3.disabled;
  return !!textColor && !disabled && "\n      background-color: ".concat(textColor, ";\n    ");
}, " border-radius:50%;display:inline-block;height:4px;width:4px;position:absolute;&:nth-of-type(1){animation:", statefulLoader, " 1750ms infinite linear;}&:nth-of-type(2){animation:", statefulLoader, " 1750ms infinite linear -300ms;}&:nth-of-type(3){animation:", statefulLoader, " 1750ms infinite linear -600ms;}}");
export default ButtonLoader;